Frontend API
Retrieve all passkeys for the current user
cURL
curl --request GET \ --url https://api.wacht.dev/me/passkeys \ --cookie session_id=
{ "status": 200, "message": "", "data": [ { "id": "123456789012345678", "user_id": "<string>", "name": "My iPhone", "credential_id": "<string>", "transports": [ "<string>" ], "backup_eligible": true, "device_type": "platform", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
Passkeys retrieved successfully
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?